Deletes an organization-owned API key without deleting the organization.
curl --request DELETE \
--url https://api.leadping.ai/organizations/api-keys/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/organizations/api-keys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/organizations/api-keys/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.delete("https://api.leadping.ai/organizations/api-keys/{id}")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/organizations/api-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/organizations/api-keys/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/organizations/api-keys/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"revokedAt": "2023-11-07T05:31:56Z"
}{
"type": "https://leadping.ai/docs/errors/validation",
"title": "Request validation failed",
"status": 400,
"detail": "One or more request fields are invalid.",
"instance": "/leads/intake",
"errors": {
"email": [
"The email field is required."
]
},
"traceId": "00-4bf92f3577b34da6a3ce929d0e0e4736-00f067aa0ba902b7-01"
}{
"type": "https://leadping.ai/docs/errors/validation",
"title": "Request validation failed",
"status": 400,
"detail": "One or more request fields are invalid.",
"instance": "/leads/intake",
"errors": {
"email": [
"The email field is required."
]
},
"traceId": "00-4bf92f3577b34da6a3ce929d0e0e4736-00f067aa0ba902b7-01"
}{
"type": "https://leadping.ai/docs/errors/validation",
"title": "Request validation failed",
"status": 400,
"detail": "One or more request fields are invalid.",
"instance": "/leads/intake",
"errors": {
"email": [
"The email field is required."
]
},
"traceId": "00-4bf92f3577b34da6a3ce929d0e0e4736-00f067aa0ba902b7-01"
}{
"type": "https://leadping.ai/docs/errors/validation",
"title": "Request validation failed",
"status": 400,
"detail": "One or more request fields are invalid.",
"instance": "/leads/intake",
"errors": {
"email": [
"The email field is required."
]
},
"traceId": "00-4bf92f3577b34da6a3ce929d0e0e4736-00f067aa0ba902b7-01"
}Organizations
Deletes an organization-owned API key without deleting the organization.
Confirmation that identifies the revoked key.
DELETE
/
organizations
/
api-keys
/
{id}
Deletes an organization-owned API key without deleting the organization.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
Last modified on August 20, 2026
⌘I

